### Method

# AppStream Component is_floss

since: 0.15.5

#### Declaration [src]

    gboolean
    as_component_is_floss (
      AsComponent* cpt
    )

#### Description [src]

Returns `TRUE` if this component is free and open source software. To determine this status, this function will check if it comes from a vetted free-software-only source or whether its licenses are only free software licenses.

Available since: 0.15.5

#### Return value

Type: `gboolean`

`TRUE` if this component is free software.